package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.dto.WxInfoDTO;
import com.yx.face.model.query.QueryUser;
import com.yx.face.model.vo.UserInfoVO;

import java.util.Map;


/**
 * @description: 用户基础信息表(UserInfo)表服务接口 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */

public interface UserInfoService {

    String getWxPhone(WxInfoDTO dto);

    /**
     * 脸识别回调接口
     *
     * @param result 回调的相关用户信息 <br>
     * @description: 人脸识别回调接口 <br>
     * @date: 2021/4/2 18:28 <br>
     * @author: PWB <br>
     */
    void confirmFaceNotify(String result);


    PageInfo<UserInfoVO> getUsers(RestDTO<QueryUser> dto);

    Map<String, Object> doGetFacePass(Integer userId, String taskId);

    String getAvatarBase64(Long id, String avatar);

}

